'Show selected records only' not refreshing table when using the function "search"

2009-11-08 05:00 AM - Ivan Mincik

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:1.7.3 Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12125

Description

Record list in attribute table is not refreshing when 'Show selected records only' is enabled and another selection is made.

Try:

1. Select some feature in vector layer. 

2. Open attribute table and check 'Show selected records only'. OK, table rows are narrowed to selected features.

3. Select some other features in layer. Rows in the table are not refreshed as expected. You must uncheck a check again  'Show selected

records only' checkbox. The same behavior is when using it with 'Search' .

History

#1 - 2010-01-14 09:50 AM - 6896896 -

- Status changed from Open to Closed

- Resolution set to fixed

fixed. 

Tested in QGis 1.4.0-1 (win32), 1.5.0-13 (osgeo4w).

#2 - 2010-06-03 04:47 AM - Ivan Mincik

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Tested on latest trunk using Debian Lenny 32bit. Qt 4.4.3.

1. When enabled 'Show selected records only' and selecting features in map, table is refreshing correctly.

2. When enabled 'Show selected records only' and using 'Search' widget in table, table is not refreshing until I disable and enable 'Show selected records

only' checkbox. Would You please fix also this problem ?

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-26 02:10 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No
- Resolution set to worksforme

- Assignee deleted (nobody -)

- Status changed from Feedback to Closed

Seems fixed in the lateset qgis-master and qgis 1.7.3

Reopen if necessary.

#5 - 2011-12-27 02:07 AM - Ivan Mincik

- Assignee set to Giovanni Manghi

1. I confirm correct behavior in current master.

2. In 1.7.3, attribute table is not refreshing when using 'Search'. It is only refreshed after re-checking 'Show selected records only'. Selecting features in

map canvas is working correctly.

I am missing permissions to reopen ticket !

#6 - 2011-12-27 02:10 AM - Ivan Mincik

- Resolution deleted (worksforme)

#7 - 2011-12-27 02:14 AM - Giovanni Manghi

- Status changed from Closed to Open

- Affected QGIS version changed from master to 1.7.3

#8 - 2011-12-27 11:58 AM - Giovanni Manghi

- Subject changed from 'Show selected records only' not refreshing table at selection change to 'Show selected records only' not refreshing table when 

using the function "search"

If possible backport the fix also in the 1.7.x branch as it works fine in master.

#9 - 2011-12-27 11:59 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

#10 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#11 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#12 - 2012-10-08 08:05 PM - Alister Hood

I think this may be fixed recently in master for "search", and for making a manual selection in the canvas, although I'm not certain, because I couldn't figure

out how to reliably reproduce it.

It isn't fixed for manually selecting rows in the attribute table, but I'm not sure if that would be desirable anyway (at least not unless there was the ability to

right click on a row and "zoom to extent").
#13 - 2013-06-01 08:58 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

this is fixed in master
